$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.177.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.177.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '586B7B1E3C963D68A871DFFF3DDC5E05A926763D1EAB0D8A1197A8ED98BDFD66'
  checksumType = 'sha256'
  checksum64 = '586B7B1E3C963D68A871DFFF3DDC5E05A926763D1EAB0D8A1197A8ED98BDFD66'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.177-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
